package com.genlot.ninglottery.game.d3.bean;

import com.genlot.ninglottery.game.bet.BetNumber;
import com.genlot.ninglottery.game.bet.IBetBean;

import java.util.ArrayList;
import java.util.List;

/**
 * @author ZhuYongKang
 * @description 猜三同 拖拉机
 * @date 2019/10/15
 */
public class Guess3Same implements IBetBean {
    public List<BetNumber> mList;

    public Guess3Same() {
        mList = new ArrayList<>();
        BetNumber number = new BetNumber("-");
        number.setType(BetNumber.CHECKED);
        mList.add(number);
        mList.add(number);
        mList.add(number);
    }

    @Override
    public void clear() {
    }

    @Override
    public boolean isFull() {
        return true;
    }

    @Override
    public String toBetString() {
        return "255|255|255|";
    }

    @Override
    public void parseBetData(String betData) {

    }

    @Override
    public List<BetNumber> getAllNumberList() {
        return mList;
    }

    @Override
    public void random(int... args) {
    }
}
